ISGETI(3NCARG)

NAME
ISGETI - Gets the current values of internal parameters of type INTEGER.

SYNOPSIS
CALL ISGETI (CNP,IVP)

C-BINDING SYNOPSIS
#include <ncarg/ncargC.h>

void c_isgeti (char *cnp, int *ivp)

DESCRIPTION

CNP (an input expression of type CHARACTER) is the name of an internal parameter. Only the first two characters of the name are meaningful, but a longer character string may be used to more clearly document what internal parameter is being retrieved.

IVP (an output variable of type INTEGER) is the name of a variable into which the value of the parameter specified by CNP is to be retrieved. If the internal parameter is inherently a real value "r", "INT(r)" will be returned as the value of IVP.

C-BINDING DESCRIPTION
The C-binding argument descriptions are the same as the FORTRAN argument descriptions.

USAGE
This routine allows you to retrieve the current value of Isosurface parameters. For a complete list of parameters available in this utility, see the isosurface_params man page.

ACCESS
To use ISGETI or c_isgeti, load the NCAR Graphics libraries ncarg, ncarg_gks, and ncarg_c, preferably in that order.

MESSAGES
See the isosurface man page for a description of all Isosurface error messages and/or informational messages.

SEE ALSO
Online: isosurface, isosurface_params, ezisos, isgetr, isosrf, isseti, issetr, pwrzi, ncarg_cbind

Hardcopy: NCAR Graphics Fundamentals, UNIX Version

COPYRIGHT
Copyright (C) 1987-2009
University Corporation for Atmospheric Research
The use of this Software is governed by a License Agreement.